petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMatlabEngineGetArray

Gets a variable from Matlab into an array

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineGetArray(PetscMatlabEngine mengine,int m,int n,PetscScalar *array,const char name[])

Not Collective

### Input Parameters

| mengine | - the Matlab engine
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineCreate(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGet(), PetscMatlabEngine

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages